# iOS - Tags for trips

```
/**
 * Returns track tags.
 *
 * @param trackToken  Track id.
 */
- (void)getTrackTags:(NSString *)trackToken completion:(id response, NSArray *error)callback;

/**
 * Add track tags. Return tags successfully added (with tag and type only, without source).
 *
 * @param trackToken  Track id.
 */ 
- (void)addTrackTags:(NSArray<RPTag *>*)tags to:(NSString *)trackToken completion:(id response, NSArray *error)callback;

/**
 * Remove track tags. Return tags successfully removed (with tag and type only, without source).
 *
 * @param trackToken  Track id.
 */
- (void)removeTrackTags:(NSArray<RPTag *>*)tags from:(NSString *)trackToken completion:(id response, NSArray *error)callback;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.telematicssdk.com/sdk-features/tags/trip-tag/ios-enriched-tags-for-individual-trips.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
